Bug 1465824 - RPM macros for Independent Product Policy need improvements
RPM macros for Independent Product Policy need improvements
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy (Show other bugs)
7.5
All Linux
high Severity high
: rc
: ---
Assigned To: Lukas Vrabec
Milos Malik
: Tracking
Depends On: 1393066 1380854
Blocks: 1377248
  Show dependency treegraph
 
Reported: 2017-06-28 05:53 EDT by Lukas Vrabec
Modified: 2018-02-19 04:37 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1380854
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 Milos Malik 2018-02-13 05:43:44 EST
The echo vs. /bin/echo issue is fixed now, but ...

the selinux_modules_uninstall macro is able to take [-s <policytype>] as parameter, but semodule always removes the policy module from current policy store. If selinux_modules_uninstall macro was executed under targeted policy with "-s mls" it would remove the policy module from targeted policy store but it would leave the policy module in the mls store.
Comment 5 Milos Malik 2018-02-19 04:31:05 EST
After discussion with Lukas Vrabec, we agreed that this bug will be switched to VERIFIED and that following issue will be addressed in a new bug:

The selinux_modules_uninstall macro is able to take [-s <policytype>] as parameter, but semodule always removes the policy module from current policy store. If selinux_modules_uninstall macro was executed under targeted policy with "-s mls" it would remove the policy module from targeted policy store but it would leave the policy module in the mls store.
Comment 6 Milos Malik 2018-02-19 04:37:59 EST
The new bug is BZ#1546664.

Note You need to log in before you can comment on or make changes to this bug.